<style type="text/css">
    .amount{
        text-align: right !important;
    }

    .quantity {
        text-align: center !important;
    }

    .btn-group button {
        height:30px; }

    #content .wrap #grid_content_1 .row-fluid.scRow .row-fluid.scRow .span12.scCol #grid_block_5 .content.np #listDetails tbody #trInfos td .row-fluid .controls-row .span3 {
        font-size: 11px;
        color: #000;
        font-weight: bold;
    }
    .test {
        font-size: 10px;
    }
    .span3 {
        font-size: 10px;
    }
    tbody {
        font-size: 10px;
    }
    #content .wrap #grid_content_1 .row-fluid.scRow .row-fluid.scRow .span12.scCol #grid_block_6 .content.np #listCharge tbody #trInfosCharge td .row-fluid .controls-row .span3 {
        font-weight: bold;
    }
</style>

<?php 
if(!empty($taxmaster)){
    foreach($taxmaster as $k=>$v){
        $val = null;
        $val = array_search('OS',(array) $taxmaster[$k]);  
        if($val != null){
            $nonGstTaxID = $taxmaster[$k]->ID;
            break;
        }
    }
}else{
    $nonGstTaxID = 0;
}
?>
<script type="application/javascript">
    var gstStatus = true;
   $(document).ready(function(){
                gstStatus = isGstRegistered(<?php echo element('compID', $this->session->userdata('logged_in')); ?>,'company');
                console.log(gstStatus);
                $('select').select2();
                /*****GST Register supplier's color change start******/    
                function format(state) {
                var text = state.text.match(/\(GST\)/g);
                var modTxt = state.text.replace("(GST)","");
                if(text != null)  return '<span style="color:#85c420;">'+modTxt+"</span>";
                else              return modTxt;
                }
                $("#customer").select2({
                formatResult: format,
                formatSelection: format,
                escapeMarkup: function(m) { return m; }
                });
                /*****GST Register supplier's color change end******/
                $.each($(".select2-container"), function (i, n) {
                    $(n).next().show().fadeTo(0, 0).height("0px").css("left", "auto"); // make the original select visible for validation engine and hidden for us
                    $(n).prepend($(n).next());
                    $(n).delay(500).queue(function () {
                        $(this).removeClass("validate[required]"); //remove the class name from select2 container(div), so that validation engine dose not validate it
                        $(this).dequeue();
                    });
                });	
                jQuery('.datepicker2').datepicker({
                        dateFormat : 'dd-mm-yy',
                        changeMonth : true,
                        changeYear : true
                });
        });

			
function refreshTerms(){
    $.ajax({
            type: "POST",
            url: "<?php echo base_url() ?>artransaction/refreshTerms",
            success: function(data) {
                var resul = eval ("(" + data + ")"); 
                var n=resul.records.length;
                var i=0;
                var opt='' +
                            '<option></option>';
                for (i=0;i<n;i++)
                    opt=opt + '<option value="' + resul.records[i].id + '">' + resul.records[i].termName + '</option>';
                                    $('#term').empty();
                $('#term').append(opt);
                            }
     });

}

function refreshShip(){
    $.ajax({
		type: "POST",
		url: "<?php echo base_url() ?>artransaction/refreshShip/",
		data: "custID="+$('#customer').select2('val'),
		success: function(data) {
			if(data != ''){
				$('#shiptoAddress').html(data);	
					
			}
		}
	});

}

function getLatestItemPrice(){

     $.ajax({
            type: "POST",
            data : {
                option :'sale',
                itemID : $("#itemList").val(),
                datePrice : $("#createdDate").val(),
                customerID : $("#customer").val(),
                umID : $("#idUnitOfMeasure").select2('val'),
                currencyID : $("#currency").attr('data-currencyid'),

            },
            url: "<?php echo base_url() ?>artransaction/getPrice",
            success: function(data) {
                $("#itemunitprice").val(accounting.formatNumber(data,2));
            }
      });
}

function refreshProject(){
    $.ajax({
            type: "POST",
            url: "<?php echo base_url() ?>artransaction/refreshProject",
            success: function(data) {

               var resul = eval ("(" + data + ")"); 
            var n=resul.records.length;
            var i=0;
            var opt='' +
                        '<option></option>';
            for (i=0;i<n;i++)
                opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].projectName + '</option>';
                                $('#project').empty();
            $('#project').append(opt);
                        }
         });
}


function getTermDescription(me){
    $("#termDescription").html($("#term option:selected").attr("data-desc"));
}
				
                                
				
    function calculamountET(){
            if  ($("#totalamount").val()=="NaN"){

                $("#totalamount").val("0");

                $("#impotpayable").val("0");

                $("#totalpayable").val("0");
             }
           // if ($("#itemTax").attr("data-taxid")=="") {
             //       taxPopup ();
            //}
            var qtyMax = accounting.unformat($("#itemList option:selected").attr("data-qty"))*$("#idUnitOfMeasure option:selected").attr("data-factor")/$("#idUnitOfMeasure option:selected").attr("data-unitm");
            if($("#itemqte").length > 0 && (accounting.unformat($("#itemqte").val())*1>qtyMax || accounting.unformat($("#itemqte").val()) < 1)){
                $("#itemqte").attr("style","background:#F2DEDE;");
                $("#itemqte").val("");
                console.log(qtyMax);
                 msg (1,"alert", "The quantity available of this item is :" + qtyMax + " " + $("#idUnitOfMeasure option:selected").text() +
                          "<br> The current quantity should more than 0 and less than " + qtyMax + " " + $("#idUnitOfMeasure option:selected").text());
            }else{
                $("#itemqte").attr("style","background:#DFF0D8;");
                $("#itemqte").val(accounting.unformat($("#itemqte").val())*1);
                msg (1,"alert alert-info", "...");
                if (isNaN($("#itemqte").val()))
                    $("#itemqte").val("");
            }
            var j_itemAmountET =accounting.unformat($("#itemunitprice").val())*accounting.unformat($("#itemqte").val());
            $("#itemAmountET").val(accounting.formatNumber(j_itemAmountET,2));
            var j_itemTaxAmount=j_itemAmountET*accounting.unformat($("#itemTax").val())/100;
            $("#itemTaxAmount").val(accounting.formatNumber(j_itemTaxAmount,2));
            $("#itemAmountIT").val(accounting.formatNumber(j_itemTaxAmount+j_itemAmountET,2));


    }
 
 
  function getTotal(){
	  
        // $("#totalamount").val("");
  
        $("#impotpayable").val("");
  
        $("#totalpayable").val("");
         var n =$("#listDetails > tbody > tr").length-1;
         var totalAmount =0;
         var impot = 0;
         var total = 0;
         for (i=0; i<=n; i++) {
                       // totalAmount= totalAmount + accounting.unformat($('#listDetails > tbody > tr:eq(' + i + ') > td:eq(5)').text())*1; 
                        impot= impot + accounting.unformat($('#listDetails > tbody > tr:eq(' + i + ') > td:eq(8)').text()) *1; 
                        total= total + accounting.unformat($('#listDetails > tbody > tr:eq(' + i + ') > td:eq(9)').text())*1; 
         }
	
        // calcul for charge
	
         var n =$("#listCharge > tbody > tr").length-1;
         var totalAmountCharge =0;
         var impotCharge = 0;
         var totalCharge = 0;
         for (i=0; i<n; i++) {
                        //totalAmountCharge= totalAmountCharge + $('#listCharge > tbody > tr:eq(' + i + ') > td:eq(3)').text()*1; 
                        impotCharge= accounting.unformat(impotCharge) + accounting.unformat($('#listCharge > tbody > tr:eq(' + i + ') > td:eq(5)').text()); 
                        totalCharge= accounting.unformat(totalCharge) + accounting.unformat($('#listCharge > tbody > tr:eq(' + i + ') > td:eq(6)').text()); 
                        console.log(impotCharge+'<->'+totalCharge);
         }
	 
         //$("#totalamount").val(accounting.formatNumber(totalAmount + totalAmountCharge,2) );
  
        $("#impotpayable").val(accounting.formatNumber(impot +  impotCharge,2));
  
        $("#totalpayable").val(accounting.formatNumber(total + totalCharge,2));
	
  }
					
					
function msg(n,type, message){
	
        $("#msg_div"+n +" p").html(message);
        $("#msg_div"+n).attr("class","alert " + type);
}

function delRowInvoice(me){
        var td=me.parentNode;
        var tr=td.parentNode;
        var tBody=tr.parentNode;
        tBody.removeChild(tr);
}

function addRowInvoiceCharge(){
        var tax = '';
        if(gstStatus){
            tax = '<td class="span2">\
                        <div class="input-prepend">\
                            <input readonly data-taxid="" disabled id="listTax" onkeyup="calculChargeAmount()" name="itemTax" class="span6 validate[required, custom[number]]" type="text" placeholder="Tax(%)">\
                            <span onclick="taxPopup ()" style="margin-top:0;" id="displayCode" class="btn add-on">....</span>\
                        </div>\
                  </td>';
        }else{
            tax = '<td class="span2">\
                        <div class="input-prepend">\
                            <input readonly data-taxid="<?php echo $nonGstTaxID; ?>" value="0" id="listTax" onkeyup="calculChargeAmount()" name="itemTax" class="span6 validate[required, custom[number]]" type="text" placeholder="Tax(%)">\
                            <span style="margin-top:0;" id="displayCode" class="btn add-on">OS</span>\
                        </div>\
                  </td>';
        }

        if (!$("#chargeAccount").length) {
                                             $(''+
                                             '<tr><td>' + ($("#listCharge").attr("data-currentRow")*1 +1) +'</td>' +
                                                   '<td class="span4"> <select name="chargeAccount" id="chargeAccount" class="span12 validate[required]"><option></option>' +
<?php
if ($chargeAccount) {
    foreach ($chargeAccount as $row) {
    	$temp = str_replace(array("\n", "\r","'"), " ", $row->acctName, $count);
        ?>
                                     '<option value="<?php echo $row->ID; ?>"><?php echo substr($row->acctCode,0,4).'-'.substr($row->acctCode,4,3).'-'.substr($row->acctCode,7). " | ";
        echo $temp;
        ?></option>'+
    <?php }
}
?>
                     '</select></td>'+
                        '<td class="span3"><input  id="chargedesc" name="chargedesc"  type="text" class="span12 validate[required]" placeholder="Description"></td>'+
                        '<td class="span1"><input id="chargeAmount" onkeyup="calculChargeAmount()"  onfocus="modAmount(this)" name="chargeAmount" desabled class="span12 amount validate[required, custom[number]]" type="text" placeholder="Amount"></td>'+
                        tax+
                        '<td class="span1"><input disabled="disabled" id="chargetaxAmount"  name="chargetaxAmount" class="span12 amount" type="text" placeholder="Amount"></td>'+
                        '<td class="span1"><input disabled  id="chargeAmountIT" name="chargeAmountIT" class="span12 amount" type="text" placeholder="Amount (Exclude Tax)"></td>'+
                                                '<td class="span1">'+
                                                        '<button onclick = "saveCharge(this)" class="btn-icon btn-mini btn-success-form" type="button"><i class="i-checkmark-3"></i></button>'+
                                                        '<button onclick="delRowInvoice(this)" id="btnCancelCharge" class="btn-icon btn-mini btn-danger-form" type="button"><i class="i-cross"></i></button>'+
                                                '</td>'+
                        '<td class="span1" style="text-align:center;"><input data-taxid="" id="inclusiveTax" onchange="modAmount(this)" name="incTax" class="tac" type="checkbox"></td>'+
                    '</tr>'
                                          ).insertBefore( "#trInfosCharge" );
					
                                            $('#chargeAccount').select2();
											
											
											$.each($(".select2-container"), function (i, n) {
												$(n).next().show().fadeTo(0, 0).height("0px").css("left", "auto"); // make the original select visible for validation engine and hidden for us
												$(n).prepend($(n).next());
												$(n).delay(500).queue(function () {
													$(this).removeClass("validate[required]"); //remove the class name from select2 container(div), so that validation engine dose not validate it
													$(this).dequeue();
												});
											});
											
                                          
                                        }else{
                                                msg (2,"alert","Please, do save the current details before adding new one");
                                                }
                                                
}

function refreshLocation(){
 $.ajax({
        type: "POST",
        url: "<?php echo base_url() ?>artransaction/refreshLocation",
        success: function(data) {
	
           var resul = eval ("(" + data + ")"); 
           var n=resul.records.length;
           var i=0;
           var opt='' +
                '<option></option>';
                for (i=0;i<n;i++)
                        opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].location + '</option>';
                $('#location').empty();
                $('#location').append(opt);
        }
   });	
}

    function modAmount(me){
        console.log($(me).attr('type'));
        var $taxPer = accounting.unformat($("#listTax").val());
        var $chargeAmount = accounting.unformat($("#chargeAmount").val());
        if($(me).attr('type') != 'text'){
            if($('#inclusiveTax').attr("checked") == "checked"){
                $("#chargeAmount").attr('data-actual',accounting.unformat($("#chargeAmount").val()));
                var $taxAmount = ($chargeAmount*$taxPer)/(100+$taxPer);
                var $actualCharge = $chargeAmount - $taxAmount;
                $("#chargeAmount").val(accounting.formatNumber($actualCharge,2));
                calculChargeAmount();
            }else{
                $("#chargeAmount").val(accounting.formatNumber($("#chargeAmount").attr('data-actual'),2));
                calculChargeAmount();
            }
        }else{
            $("#chargeAmount").val(accounting.formatNumber($("#chargeAmount").attr('data-actual'),2));
            $('#inclusiveTax').attr("checked",false);
            calculChargeAmount();
        }
    }
function calculChargeAmount() { 
        var t = accounting.unformat($("#chargeAmount").val()) * accounting.unformat($("#listTax").val()) /100;
        $("#chargetaxAmount").val(accounting.formatNumber(t,2));
        $("#chargeAmountIT").val(accounting.formatNumber(t+ accounting.unformat( $("#chargeAmount").val())*1,2));
}


function displaysAdress(){
                $("#shiptoDesc").html("");
                $("#shiptoDesc").select2('val','');
				console.log($("#shiptoAddress option:selected").attr("data-line2"));
                if($("#shiptoAddress option:selected").attr("data-line2")=="undefined"){
                    return false;
                }
                $("#shiptoDesc").html($("#shiptoAddress option:selected").attr("data-line1") +
                                                           "&#10;" + $("#shiptoAddress option:selected").attr("data-line2") +
                                                           "&#10;" + $("#shiptoAddress option:selected").attr("data-line3"));
				
}

function taxPopup () {
        $('#popupModal').modal('show');
        $("#_popupTitle").html("Purchase Invoice");
        $("#_popupContent").html('' +
          '<label>Select a tax</label>' +
          '<select style="width:100%;" onchange="calculamountET()" name="listTaxPopup" id="listTaxPopup" >' +
<?php
if ($taxmaster) {
    foreach ($taxmaster as $row2) {
        $temp = str_replace(array("\n", "\r", "'"), " ", $row2->name, $count);
        ?>
                    '<option data-taxcode="<?php echo $row2->code ?>" value="<?php echo $row2->ID; ?>" data-tax="' + <?php echo $row2->taxPercentage; ?> + '">' + 
                    '<?php echo $row2->code . " | " . $row2->taxPercentage . " | ";
        echo $temp; ?></option>'+
    <?php }
} ?>
            '</select>');
            $("#listTaxPopup").select2();
	
        $('#_popupFooter').empty();
           $('#_popupFooter').append('<button class="btn-form btn-success-form" id="confButton">Ok</button>' +
        '<button class="btn-form btn-danger-form" id="canb">Cancel</button>');
        $("#_popupTitle").html("Tax Master");
        $( "#canb" ).click(function() {
                $('#popupModal').modal('hide');
        });
        $( "#confButton" ).click(function() {
                $('#popupModal').modal('hide');
                 $("#itemTax,#listTax").attr("data-taxid",$("#listTaxPopup").val() );
                 $("#itemTax,#listTax").val ($("#listTaxPopup option:selected").attr("data-tax"));
                 $("#displayTaxCode,#displayCode").html($("#listTaxPopup option:selected").attr("data-taxcode"));
                 calculChargeAmount();
                 calculamountET();
        });
}

function refreshCustomer(){
         $.ajax({
        type: "POST",
        url: "<?php echo base_url() ?>CustomerSetup/refreshCustomer",
        success: function(data) {
  
           var resul = eval ("(" + data + ")"); 
           var n=resul.records.length;
           var i=0;
           var opt='' +
                '<option></option>';
                for (i=0;i<n ;i++)
                    if(resul.records[i].gstRegNo != '')
                        opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].customerName + ' (GST)</option>';
                    else
                        opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].customerName + '</option>';

                $('#customer').empty();
                $('#customer').append(opt);
        }
   });  
}

function refreshsalerlist(){
         $.ajax({
        type: "POST",
        url: "<?php echo base_url() ?>employeeSetup/refreshEmployee",
        success: function(data) {
	
           var resul = eval ("(" + data + ")"); 
           var n=resul.records.length;
           var i=0;
           var opt='' +
                '<option></option>';
                for (i=0;i<n;i++)
                        opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].employeeName + '</option>';
                $('#saler').empty();
                $('#saler').append(opt);
        }
   });
}


function refreshAgent(){
         $.ajax({
        type: "POST",
        url: "<?php echo base_url() ?>SaleAgentSetup/refreshAgent",
        success: function(data) {
	
           var resul = eval ("(" + data + ")"); 
           var n=resul.records.length;
           var i=0;
           var opt='' +
                '<option></option>';
                for (i=0;i<n;i++)
                        opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].agentName + '</option>';
                $('#agent').empty();
                $('#agent').append(opt);
        }
   });	
}


function loadCustomerDefaultValue(me){
        $('#currency').attr("value",'');
        $('#exchange_rate').attr("value",'');
        $("#termDescription").text('');
        $("#shiptoDesc").html('');
          $('#shiptoAddress').select2("val", "");
        $.ajax({
                type: "POST",
                data: "customer="+ $("#customer").val(),
                url: "<?php echo base_url() ?>artransaction/loadCustomerDefaultValue",
                dataType:'json',
                success: function(data) {
                        console.log(data);
                        $('#currency').val(data.records[0].currencyWord);
                        $('#currency').attr("data-currencyID",data.records[0].currencyID);
                        $('#exchange_rate').val(accounting.formatNumber(data.records[0].exchangeRate,5));
						if(data.shipto != ""){
							$("#shiptoAddress").html('<option value="null"></option>' + data.shipto);
                           
						}else{
							$("#shiptoAddress").html('<option></option>');
						}

                        $("#term").select2('val',data.records[0].termsID).trigger('change');
                }
         });
        
}

function refreshshippingmethod(){
 $.ajax({
        type: "POST",
        url: "<?php echo base_url() ?>setting/refreshShippingMethod",
        success: function(data) {
	
           var resul = eval ("(" + data + ")"); 
           var n=resul.records.length;
           var i=0;
           var opt='' +
                '<option></option>';
                for (i=0;i<n;i++)
                        opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].name + '</option>';
                $('#shippingmethod').empty();
                $('#shippingmethod').append(opt);
        }
   });		
}

function refreshItemList(){
    if($("#location").val()>0){
      $.ajax({
            type: "POST",
            data : "idLocation=" + $("#location").val(),
            url: "<?php echo base_url() ?>artransaction/getItemList",
            success: function(data) {
                var result = eval ("(" + data + ")"); 
                if (result.status=="success"){
                var n=result.recordSet.length;
                var i=0;
                var opt='' +
                            '<option></option>';
                for (i=0;i<n;i++) {
                    opt=opt + '<option data-umcode="'+ result.recordSet[i].umCode +'" data-umid="'+ result.recordSet[i].unitOfMeasureID +'" data-desc="' + result.recordSet[i].description + '" data-taxid="' + result.recordSet[i].outputTaxID + '" data-taxpercentage="' + result.recordSet[i].outputTaxPercentage + '" data-taxcode="' + result.recordSet[i].outputTaxCode + '"\n\
                        data-salesprice="' + result.recordSet[i].salesPrice + '" data-qty="' + result.recordSet[i].quantity + '" value="' + result.recordSet[i].ID +'">' + result.recordSet[i].itemCode + ' | ' + result.recordSet[i].name + '</option>';
                 }
                $('#itemList').empty();
                $('#itemList').append(opt);
                    
                } 
            }
         });
    }
 }
 
       function displaysItemDefaultValue(){
       
       if (document.getElementById("saleItemInList" + $("#itemList").val()) !== null){
            $("#itemList").val("");
            msg (1,"alert", "This item has already been inserted ...");
            return 0;
        }
        
             $("#itemdesc").val($("#itemList option:selected").attr("data-desc"));
          //  $("#itemunitprice").val(accounting.formatNumber($("#itemList option:selected").attr("data-salesprice"),2));
            
        
         $("#idUnitOfMeasure").empty();
        $("#idUnitOfMeasure").select2("val",$("#itemList option:selected").attr("data-umid"));
         
          if ($("#itemList option:selected").attr("data-umid") > 0 && $("#itemList option:selected").attr("data-umCode")!=null){
        //  $("#idUnitOfMeasure").select2('destroy'); 
            $("#idUnitOfMeasure").append("<option data-unitm='1' data-factor='1'  value="+ $("#itemList option:selected").attr("data-umID") +">"+ $("#itemList option:selected").attr("data-umCode") +"</option>");
           $("#idUnitOfMeasure").select2("val",$("#itemList option:selected").attr("data-umID"));
          }
          $.ajax({
            type: "POST",
            data : "unitFrom=" + $("#itemList option:selected").attr("data-umid") + "&itemID=" + $("#itemList").val() ,
            url: "<?php echo base_url() ?>apTransaction/getItemUnitList",
            success: function(data) {

            var resul = eval ("(" + data + ")"); 
            var n=resul.recordSet.length;
            var i=0;
            var opt='';
            for (i=0;i<n;i++){
                opt=opt + '<option  value="' + resul.recordSet[i].ID + '" data-unitm="' + resul.recordSet[i].unitm + '" data-factor="' + resul.recordSet[i].factor + '" data-desc ="' + resul.recordSet[i].desc + '">'+ resul.recordSet[i].code +'</option>';
                
            }
                $('#idUnitOfMeasure').append(opt);
            }
          }); 
            if(gstStatus){
                $("#itemTax").val($("#itemList option:selected").attr("data-taxpercentage"));
                $("#itemTax").attr("data-taxid",$("#itemList option:selected").attr("data-taxid"));
                $("#displayTaxCode").text($("#itemList option:selected").attr("data-taxcode"));
            }
            getLatestItemPrice();
        }
 
 function addRowInvoice(){
					
    if (!$("#itemdesc").length) {
        if(gstStatus){
            //'<td class="span1"><div  class="input-prepend"><input data-taxid="" id="itemTax" onkeyup="calculamountET()" name="itemTax" class="span6 validate[required, custom[number]]" type="text" placeholder="Tax(%)"><span onclick="taxPopup ()" style="margin-top:0;" id="displayTaxCode"  class="btn add-on">....</span></div></td>'+
            var tax = '<td class="span1"><div  class="input-prepend"><input data-taxid="" disabled id="itemTax" onkeyup="calculamountET()" name="itemTax" class="span6 validate[required, custom[number]]" type="text" placeholder="Tax(%)"><span onclick="taxPopup ()" style="margin-top:0;" id="displayTaxCode"  class="btn add-on">....</span></div></td>';
        }else{
            var tax = '<td class="span1"><div  class="input-prepend"><input data-taxid="" disabled id="itemTax" name="itemTax" value="0" class="span6 validate[required, custom[number]]" type="text" placeholder="Tax(%)"><span style="margin-top:0;" id="displayTaxCode"  class="btn add-on">OS</span></div></td>';
        }
     $(''+
     '<tr><td>' + ($("#listDetails").attr("data-currentRow")*1 +1) +'</td>' +
            '<td class="span2"> <select class="span12" onclick="displaysItemDefaultValue()" name="itemList" id="itemList" class="span12"><option></option>' +
               '</select></td>'+
                    '<td class="span2"><input id="itemdesc"   class="span12" type="text"></td>'+
                     '<td class="span1"><select onchange="getLatestItemPrice()" id="idUnitOfMeasure" class="span12 validate[required]"><option></option></select></td>'+
                    '<td class="span2"><input id="itemunitprice" onkeyup="calculamountET()" name="itemunitprice" class="span12 amount validate[required,custom[number]]" type="text" placeholder="Unit Priece"></td>'+
                    '<td class="span1"><input id="itemqte" onkeyup="calculamountET()"  name="itemqte" class="span12 validate[required,custom[integer]]" type="text" placeholder="Qty"></td>'+
                    '<td class="span1"><input id="itemAmountET" name="itemAmountET" disabled class="input-mini amount validate[required]" type="text" placeholder="Amount (Exclude Tax)"></td>'+
                    tax+
                    '<td class="span1"><input id="itemTaxAmount" name="itemTaxAmount" disabled class="span12 amount" type="text" placeholder="Tax Amount"></td>'+
                    '<td class="span2"><input id="itemAmountIT" name="itemAmountIT" disabled class="span12 amount" type="text" placeholder="Amount (Include Tax)"></td>'+
                    '<td class="span1">'+
                        '<button class="btn-icon btn-mini btn-success-form" onclick="saveSaleRow(this)" type="button"><i class="i-checkmark-3"></i></button>'+
                        '<button id="btnCancel" class="btn-icon btn-mini btn-danger-form" onclick="delRowInvoice(this)" type="button"><i class="i-cross"></i></button>'+
                    '</td>'+
    '</tr>' ).insertBefore( "#trInfos" );
    refreshItemList (); 
    $('#itemList').select2();
    
    $('#idUnitOfMeasure').select2();
    $.each($("#listDetails .select2-container"), function (i, n) {
            $(n).next().show().fadeTo(0, 0).height("0px").css("left", "auto"); // make the original select visible for validation engine and hidden for us
            $(n).prepend($(n).next());
            $(n).delay(500).queue(function () {
                $(this).removeClass("validate[required]"); //remove the class name from select2 container(div), so that validation engine dose not validate it
                $(this).dequeue();
            });
        });
        
        
    }else{
    msg (1,"alert","Please, do save the current details before adding new one");
    }
   }
   
   function populateItems(){
    if ($("#itemList")){
        refreshItemList();
    }
   }
   

   
  function saveCharge(me){
      
       if( $("#SaleDetailForm").validationEngine('validate') && finanEngine('financhk')){
        if ( $("#saleInvoiceId").val()=="null"){
                  getTotal();
                  $(me).attr("disabled","disabled");
                  $.ajax({
                  type: "POST",
                  data: {
                                showinInvoice : $("input[name='showinInvoice']:checked").val(),
                                
                                shippingMethodID : $("#shippingmethod").val(),
                                employeeID : $("#saler").val(),
                                memo : $("#memo").val(),
				
                                totalPayable : $("#totalpayable").val(), 
                                totalTaxAmount :  $("#totalamount").val(),
                                customerID : $("#customer").val(),
                                locationID :  $("#location").val(),
                                agentID : $("#agent").val(),
                                formNo : $("#formNo").val(),
                                invoiceDate: $("#createdDate").val(),
                                customerPoNo : $("#customerPoNo").val(),
                                projectID: $("#project").val(),
                                termsID: $("#term").val(),
                                currencyID: $("#currency").attr("data-currencyID"),
                                exchangeRate : $("#exchange_rate").val(),
                                shipToID : $("#shiptoAddress").val(),
				
                                accountNoID : $("#chargeAccount").val(),
                                lineNo : $("#listCharge").attr("data-currentRow")*1 +1,
                                chargeDescription : $("#chargedesc").val(),
                                taxAmount : accounting.unformat($("#chargetaxAmount").val()),
                                amountIncludedTax : accounting.unformat($("#chargeAmountIT").val()),
                                amountExcludedTax: accounting.unformat($("#chargeAmount").val()),
                                taxID: $("#listTax").attr("data-taxid"),
                                taxRate: $("#listTax").val()
				
                          },
                   url: "<?php echo base_url() ?>Artransaction/saveNewDirectSaleInvoiceCharges",
                   success: function(data) {
                   var resul = eval ("(" + data + ")"); 
                        $("#saleInvoiceId").val(resul.invoiceID);
                        $(''+
                       '<tr> <td>' + ($("#listCharge").attr("data-currentRow")*1 +1) + '</td>' +
                          '<td>' + $("#chargeAccount option:selected").text() + '</td>'+
                          '<td>' + $("#chargedesc").val() + '</td>'+
                          '<td class="amount">' + $("#chargeAmount").val() + '</td>'+
                          '<td class="tac">' + $("#displayCode").text() + " | " + $("#listTax").val() +  '</td>'+
                          '<td class="amount">' + $("#chargetaxAmount").val() + '</td>'+
                          '<td class="amount">' + $("#chargeAmountIT").val() + '</td>'+
                          '<td></td>'+
                  '</tr>'
                          ).insertBefore( "#trInfosCharge" );
                          $("#btnCancelCharge").trigger("click");
                          $("#listCharge").attr("data-currentRow",$("#listCharge").attr("data-currentRow")*1 +1)
                          getTotal();
                         msg (2,"alert alert-success","Details successfully saved");
                  } //end function
           });//end ajax
          }else{
                $(me).attr("disabled","disabled");
                  $.ajax({
                  type: "POST",
                  data: {
                        invoiceId : $("#saleInvoiceId").val(),
                        lineNo : $("#listCharge").attr("data-currentRow")*1 +1,
                        accountNoID : $("#chargeAccount").val(), 
                        chargeDescription : $("#chargedesc").val(),
                        taxAmount : accounting.unformat($("#chargetaxAmount").val()),
                        currentTotalInvoice : accounting.unformat($("#totalpayable").val()),
                        amountIncludedTax : accounting.unformat($("#chargeAmountIT").val()),
                        amountExcludedTax: accounting.unformat($("#chargeAmount").val()),
                         taxID: $("#listTax").attr("data-taxid"),
                         taxRate: $("#listTax").val()

                          },
                   url: "<?php echo base_url() ?>Artransaction/saveNewSaleDetailOnlyCharges",
                   success: function(data) {
                   msg (2,"alert alert-success","Details successfully saved");
                        var resul = eval ("(" + data + ")"); 
                   $(''+
                           '<tr> <td>' + ($("#listCharge").attr("data-currentRow")*1 +1) + '</td>' +
                          '<td>' + $("#chargeAccount option:selected").text() + '</td>'+
                          '<td>' + $("#chargedesc").val() + '</td>'+
                          '<td class="amount">' + $("#chargeAmount").val() + '</td>'+
                          '<td class="tac">' + $("#displayCode").text() + " | " + $("#listTax").val() +  '</td>'+
                          '<td class="amount">' + $("#chargetaxAmount").val() + '</td>'+
                          '<td class="amount">' + $("#chargeAmountIT").val() + '</td>'+
                          '<td></td>'+
                  '</tr>'
                   ).insertBefore( "#trInfosCharge" );
                $("#listCharge").attr("data-currentRow",$("#listCharge").attr("data-currentRow")*1 +1);
                   $("#btnCancelCharge").trigger("click");
                   getTotal();
                 }
           }); //end ajax
           }
          }else {
                  msg (1,"alert alert-error", "Data incorrect or invalid ...");
          }
  }
   
  function saveSaleRow(me){
  
   if( $("#SaleDetailForm").validationEngine('validate') && finanEngine('financhk')){
       if($("#itemList").val()>0){
          if ( $("#saleInvoiceId").val()=="null"){
                  getTotal();
                  $(me).attr("disabled","disabled");
                  $.ajax({
                  type: "POST",
                  data: {
                                shippingMethodID : $("#shippingmethod").val(),
                                employeeID : $("#saler").val(),
                                memo : $("#memo").val(),
				
                                showinInvoice : $("input[name='showinInvoice']:checked").val(),
                                
                                totalPayable : $("#totalpayable").val(), 
                                totalTaxAmount :  $("#totalamount").val(),
                                customerID : $("#customer").val(),
                                agentID : $("#agent").val(),
                                locationID :  $("#location").val(),
                                itemCode:  $("#itemcode").val(),
                                formNo : $("#formNo").val(),
                                invoiceDate: $("#createdDate").val(),
                                customerPoNo : $("#customerPoNo").val(),
                                projectID: $("#project").val(),
                                termsID: $("#term").val(),
                                currencyID: $("#currency").attr("data-currencyID"),
                                exchangeRate : $("#exchange_rate").val(),
                                shipToID : $("#shiptoAddress").val(),
				
                                itemID : $("#itemList").val(),
                                lineNo : $("#listDetails").attr("data-currentRow")*1 +1,
                                quantity : $("#itemqte").val(),
                                umid : $("#idUnitOfMeasure").val(),
                                itemdescription : $("#itemdesc").val(),
                                unitPrice: accounting.unformat($("#itemunitprice").val()),
                                taxAmount : accounting.unformat($("#itemTaxAmount").val()),
                                amountIncludedTax : accounting.unformat($("#itemAmountIT").val()),
                                amountExcludedTax: accounting.unformat($("#itemAmountET").val()),
                                taxID: $("#itemTax").attr("data-taxid"),
                                taxRate: $("#itemTax").val()
				
                          },
                   url: "<?php echo base_url() ?>Artransaction/saveNewDirectSaleInvoice",
                   success: function(data) {
					//var obj = jQuery.parseJSON(data);				
					   
                   var resul = eval ("(" + data + ")"); 
                        $("#saleInvoiceId").val(resul.invoiceID);
                        $(''+
                         '<tr id="saleItemInList'+ $("#itemList").val() + '">' +
                                '<td>' + ($("#listDetails").attr("data-currentRow")*1 +1) + '</td>'+
                                '<td>' +  $("#itemList option:selected").text() + '</td>'+
                                '<td>' + $("#itemdesc").val() + '</td>'+
                                '<td class="tac">' +  $("#idUnitOfMeasure option:selected").text() + '</td>'+
                                '<td class="amount">' + accounting.formatNumber($("#itemunitprice").val(),2) + '</td>'+
                                '<td class="quantity">' + $("#itemqte").val() + '</td>'+
                                '<td class="amount">' + $("#itemAmountET").val() + '</td>'+
                                '<td class="tac">' + $("#displayTaxCode").text() + " | " + $("#itemTax").val() + '</td>'+
                                '<td class="amount">' + $("#itemTaxAmount").val() + '</td>'+
                                '<td class="amount">' + $("#itemAmountIT").val() + '</td>'+
                                '<td>'+
                                 '</td>'+
                                '</tr>'
                          ).insertBefore( "#trInfos" );
                           $("#listDetails").attr("data-currentRow",$("#listDetails").attr("data-currentRow")*1 +1)
                          $("#btnCancel").trigger("click");
                          $("#calcul").trigger( "click" );
                          getTotal();
                         msg(1,"alert alert-success","Details successfully saved");
                  } //end function
           });//end ajax
          }else{
                $(me).attr("disabled","disabled");
                  $.ajax({
                  type: "POST",
                  data: {
                        invoiceId : $("#saleInvoiceId").val(),

                       itemID : $("#itemList").val(), 
                       lineNo : $("#listDetails").attr("data-currentRow")*1 +1,
                        quantity : $("#itemqte").val(),
                         umid : $("#idUnitOfMeasure").val(),
                                itemdescription : $("#itemdesc").val(),
                        unitPrice: accounting.unformat($("#itemunitprice").val()),
                        taxAmount : accounting.unformat($("#itemTaxAmount").val()),
                        currentTotalInvoice : accounting.unformat($("#totalpayable").val()),
                        currentTaxAmount : accounting.unformat($("#totalamount").val()),
                        amountIncludedTax : accounting.unformat($("#itemAmountIT").val()),
                        amountExcludedTax: accounting.unformat($("#itemAmountET").val()),
                        taxID: $("#itemTax").attr("data-taxid"),
                        taxRate: $("#itemTax").val()
				
                          },
                   url: "<?php echo base_url() ?>Artransaction/saveNewSaleDetailOnly",
                   success: function(data) {
                   msg (1,"alert alert-success","Details successfully saved");
                        var resul = eval ("(" + data + ")"); 
                   $(''+
                   '<tr id="saleItemInList'+ $("#itemList").val() + '">' +
                                '<td>' + ($("#listDetails").attr("data-currentRow")*1 +1) + '</td>'+
                                '<td>' +  $("#itemList option:selected").text() + '</td>'+
                                '<td>' + $("#itemdesc").val() + '</td>'+
                                '<td class="tac">' +  $("#idUnitOfMeasure option:selected").text() + '</td>'+
                                '<td class="amount">' + accounting.formatNumber($("#itemunitprice").val(),2) + '</td>'+
                                '<td class="quantity">' + $("#itemqte").val() + '</td>'+
                                '<td class="amount">' + $("#itemAmountET").val() + '</td>'+
                                '<td class="tac">' + $("#displayTaxCode").text() + " | " + $("#itemTax").val() + '</td>'+
                                '<td class="amount">' + $("#itemTaxAmount").val() + '</td>'+
                                '<td class="amount">' + $("#itemAmountIT").val() + '</td>'+
                                '<td>'+
                                 '</td>'+
                                '</tr>'
                   ).insertBefore( "#trInfos" );
           $("#listDetails").attr("data-currentRow",$("#listDetails").attr("data-currentRow")*1 +1)
                   $("#btnCancel").trigger("click");
                   $( "#calcul" ).trigger( "click" );
                   getTotal();
                 }
           }); //end ajax
           }
          }  else {
           
           } // end of if item selected
          }else {
                  msg (1,"alert alert-error", "Data incorrect or invalid ...");
          }
  }
 
   
</script>

<div id="content"> 
	<div class="wrap">
        <div class="head">
            <div class="info">
                <!--<h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
					<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>-->
                <ul class="breadcrumb">
                    <li><a href='<?php echo base_url() . "home" ?>'><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
                    <li><a href='<?php echo base_url() . "AccountPayables/home" ?>'> <?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
                    <li class="active"><?php echo $this->lang->line('title5') ?></li>
                </ul>
            </div>
            <div class="search">
                <form action="<?php echo base_url() ?>admin/search" method="post">
                    <input name="search_text" type="text" placeholder="search..."/>                                
                    <button type="submit"><span class="i-magnifier"></span></button>
                </form>
            </div>
        </div><!-- head --> 
        <div class="content" id="grid_content_1">
            <form id="SaleDetailForm" action="#">    
                <input type="hidden" value="null" id="saleInvoiceId" />
					<div class="block">
						<div class="head">
							<h2><strong><?php echo $this->lang->line('title5') ?></strong></h2>
						</div><!-- head -->
						<div class="content np">
							<div class="row-fluid scRow">                            
								<div class="span4 scCol">
									<div class="block ns" id="grid_block_1">
										<div class="controls-row">
											<div class="span3"><?php echo $this->lang->line('customer') ?></div>
											<div class="span9">
												<select class="span10 validate[required]" id="customer" onchange="loadCustomerDefaultValue()">
													<option></option>
													<?php
														if ($customer) {
															foreach ($customer as $row) {
														?>
															<option value="<?php echo $row->ID; ?>"> <?php echo $row->customerName; echo ($row->gstRegNo != '' && $row->gstRegNo != '0')?' (GST)':''; ?></option>
														<?php }
													} ?>
												</select>
												<div class="btn-group span2">
													<button class="btn-icon btn-small dropdown-toggle" data-toggle="dropdown">
														<span class="i-arrow-down-2"></span>
													</button>
														<ul class="dropdown-menu">
															<!-- dropdown menu links -->
															<li><a target="_blank" href="<?php echo base_url() ?>CustomerSetup/CustomerNew"  id="newcustumer">
																<i class="i-plus-2"></i> <?php echo $this->lang->line('newcustumer') ?></a></li>
															<li><a href="#" onclick="refreshCustomer()">
																<i class="i-ccw"></i><?php echo $this->lang->line('refreshlist') ?></a></li>
														</ul>
												</div>
											</div>
										</div> <!-- row -->
										<div class="controls-row">
											<div class="span3"><?php echo $this->lang->line('formNo') ?></div>
											<div class="span9">
												<input class="span8 validate[required]" id="formNo" name="formNo" value='<?php echo "$formNo"; ?>' style="color:red;"   type="text" placeholder="Form number ..."><input  class="span4"   type="text" placeholder="Serial" disabled="disabled">
											</div>
										</div> <!-- row -->
										<div class="controls-row">
											<div class="span3"><?php echo $this->lang->line('date') ?></div>
											<div class="span9">
													<div class="input-prepend span12"><span class="add-on span2"><i class="i-calendar"></i></span>
													<?php
														$data = array(
														'name' => 'createdDate',
														'id' => 'createdDate',
														'type' => 'text',
														'onkeydown' => 'return false',
														'class' => 'span10 datepicker2 validate[required] financhk',);
													echo form_input($data, date("d-m-Y"));
													?>
												</div>
											</div>
										</div> <!-- row -->
										<div class="controls-row">
											<div class="span3"><?php echo $this->lang->line('custumerpono') ?></div>
											<div class="span9">
												<input id="customerPoNo" class="span12" type="text" placeholder="<?php echo $this->lang->line('custumerpono') ?>">
											</div><!-- span -->
										</div> <!-- row -->
										<div class="controls-row">
											<div class="span3"><?php echo $this->lang->line('agent') ?></div>
											<div class="span9">
													<select class="span10" id="agent">
														<option></option>
															<?php
																if ($agent) {
																	foreach ($agent as $row) {
																?>
																	<option value="<?php echo $row->ID; ?>"><?php echo $row->agentName ?></option>
															<?php }
														} ?>
													</select>
												<div class="btn-group span2">
													<button class="btn-icon btn-small dropdown-toggle" data-toggle="dropdown">
														<span class="i-arrow-down-2"></span>
													</button>
													<ul class="dropdown-menu">
														<!-- dropdown menu links -->
														<li><a target="_blank" href="<?php echo base_url() ?>SaleAgentSetup/newAgent" >
                                                            <i class="i-plus-2"></i><?php echo $this->lang->line('addsaleagent') ?></a></li>
														<li><a href="#" onclick="refreshAgent()">
															<i class="i-ccw"></i><?php echo $this->lang->line('refreshlist') ?></a></li>
													</ul>
												</div>
											</div> <!-- btnn group -->
                                                                                        
                                                                                         <label class="radio inline"><?php echo $this->lang->line('showinInvoice') ?></label>
                                            <label class="radio inline"><input type="radio" value="1" name="showinInvoice"> Yes</label>   
                                            <label class="radio inline"><input type="radio" value="0" name="showinInvoice" checked="checked"> No</label>

										</div><!-- row control -->                                
									</div><!-- grid block 1-->
								</div><!-- scCol -->
								<div class="span4 scCol">
									<div class="block" id="grid_block_2">
                                                                            <div class="controls-row">
                                    <div class="span3"><?php echo $this->lang->line('saleperson') ?></div>
                                    <div class="span9">
                                        <div class="span12">
                                            <select class="span10" id="saler">
                                                <option></option>
													<?php
														if ($saler != '') {
															foreach ($saler as $row) {
														?>
															<option value="<?php echo $row->ID; ?>"> <?php echo $row->employeeName; ?></option>
														<?php }
													} ?>
                                            </select>
                                            <div class="span2 btn-group">
                                                <button class="btn-icon btn-small dropdown-toggle" data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>employeeSetup/EmployeeNew"  id="EmployeeNew">
                                                            <i class="i-plus-2"></i> <?php echo $this->lang->line('newsaleperson') ?></a></li>
                                                    <li><a href="#" onclick="refreshsalerlist()" id="btnNewSupplier">
                                                            <i class="i-ccw"></i><?php echo $this->lang->line('refreshlist') ?></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    
                                </div><!-- row control -->
                                        <div class="controls-row">
											<div class="span3"><?php echo $this->lang->line('project') ?></div>
											<div class="span9">
												<select id="project" class="span10">
													<option></option>
													<?php
														if ($project != '') {
															foreach ($project as $row) {
                                                        ?>
															<option value="<?php echo $row->ID; ?>"><?php echo $row->project_name; ?></option>
														<?php }
													} ?>
												</select>
												<div class="btn-group span2">
													<button class="btn-icon btn-small dropdown-toggle" data-toggle="dropdown">
														<span class="i-arrow-down-2"></span>
													</button>
													<ul class="dropdown-menu">
														<!-- dropdown menu links -->
														<li><a target="_blank" href="<?php echo base_url() ?>project/ProjectSetup"  id="btnNewPro">
															<i class="i-plus-2"></i><?php echo $this->lang->line('addNewProject') ?></a>
														</li>
														<li><a href="#" onclick="refreshProject()">
															<i class="i-ccw"></i><?php echo $this->lang->line('refreshlist') ?></a>
														</li>
													</ul>
												</div> <!-- btn group -->
											</div><!-- span -->
										</div> <!-- row control -->
                                    <div class="controls-row">
                                        <div class="span3"><?php echo $this->lang->line('location') ?></div>
                                        <div class="span9">
                                            <select class="span10 validate[required]" onchange="populateItems()" id="location">
                                                <option></option>
													<?php
														if ($location != '') {
															foreach ($location as $row) {
														?>
															<option value="<?php echo $row->fldid; ?>"><?php echo $row->code." | ".$row->desc ; // $row->code . " | " . $row->address . " | " . $row->city; ?></option>
														<?php }
													} ?>
                                            </select>
                                            <div class="btn-group span2">
                                                <button class="btn-icon btn-small dropdown-toggle" data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>ItemSetup/location"  id="btnLocation">
                                                            <i class="i-plus-2"></i><?php echo $this->lang->line('addLocation') ?></a></li>
                                                    <li><a href="#" onclick="refreshLocation()"><i class="i-ccw"></i><?php echo $this->lang->line('refreshlist') ?></a></li>
                                                </ul>
                                            </div>
                                        </div> <!-- btnn group -->
                                    </div><!-- row control -->
                                    <div class="controls-row">
                                        <div class="span3"><?php echo $this->lang->line('terms') ?></div>
                                        <div class="span9">
                                            <select id="term" onchange="getTermDescription(this)" class="span10 validate[required]">
                                                <option></option>
													<?php
														if ($terms != '') {
															foreach ($terms as $row) {
														?>
															<option data-desc="<?php echo $row->termDescription; ?>" value="<?php echo $row->ID; ?>"><?php echo $row->termName; ?></option>
														<?php }
													} ?>
                                            </select>
                                            <div class="btn-group span2">
                                                <button class="btn-icon btn-small dropdown-toggle " data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>term/termSetup"  id="btnNewTer">
                                                        <i class="i-plus-2"></i><?php echo $this->lang->line('addNewTerms') ?></a></li>
                                                    <li><a href="#" onclick="refreshTerms()">
														<i class="i-ccw"></i><?php echo $this->lang->line('refreshlist') ?></a>
                                                    </li>
                                                </ul>
                                            </div><!-- btn group -->
                                        </div><!-- span -->
                                    </div><!-- row control -->
                                    <div class="controls-row">
                                        <div class="span3"><?php echo $this->lang->line('termsdesc') ?></div>
                                        <div class="span9">
                                            <textarea disabled="disabled" id="termDescription" class="span12">
                                            </textarea>
                                        </div><!-- span -->
                                    </div><!-- row control -->
                                </div><!-- grid block 1-->
                            </div><!-- scCol -->
                            <div class="span4 scCol">
                                <div class="block ns" id="grid_block_3">
                                       <div class="controls-row">
                                    <div class="span3"><?php echo $this->lang->line('shippingMethod') ?></div>
                                    <div class="span9">
                                        <div class="span12">
                                            <select id="shippingmethod"  class="span10">
                                                <option></option>
													<?php
														if ($shippingmethod != '') {
															foreach ($shippingmethod as $row) {
														?>
															<option value="<?php echo $row->ID; ?>"><?php echo $row->name; ?></option>
														<?php }
													} ?>
                                            </select>
                                            <div class="span2 btn-group">
                                                <button class="btn-icon btn-small dropdown-toggle" data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>setting/masterCodeSetup" >
                                                            <i class="i-plus-2"></i><?php echo $this->lang->line('newshippingmethod') ?></a></li>
                                                    <li><a href="#" onclick="refreshshippingmethod()"><i class="i-ccw"></i><?php echo $this->lang->line('refreshlist') ?></a>
                                                    </li>
                                                </ul>
                                            </div><!-- btn group -->
                                        </div><!-- append -->
                                    </div><!-- span -->
                                </div><!-- row control -->
                                
                                	<div class="controls-row">
                                        <div class="span3"><?php echo $this->lang->line('shipto') ?></div>
                                        <div class="span9">
                                            <select id="shiptoAddress" onchange ="displaysAdress()" class="span10">
                                                <option data-line1="" data-line2="" data-line3="" data-postcode=""></option>
													<?php
														if ($shipto != '') {
															foreach ($shipto as $row) {
														?>
															<option  data-line1="<?php echo $row->line1 ?>" data-line2="<?php echo $row->line2 ?>" data-line3="<?php echo $row->line3 ?>" data-postcode="<?php echo $row->postCode ?>" value="<?php echo $row->ID; ?>">
														<?php echo $row->addressName . " | " . $row->city; ?></option>
														<?php }
													} ?>
                                            </select>
                                            <div class="btn-group span2">
                                                <button class="btn-icon btn-small dropdown-toggle " data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>customerSetup/customerList"  id="btnNewTer">
                                                            <i class="i-plus-2"></i><?php echo $this->lang->line('addNewShip') ?></a></li>
                                                    <li><a href="#" onclick="refreshShip()"><i class="i-ccw"></i><?php echo $this->lang->line('refreshlist') ?></a>
                                                    </li>
                                                </ul>
                                            </div><!-- btn group -->
                                        </div><!-- span -->
                                    </div><!-- row control -->
                                    <?php /*<div class="controls-row">
                                        <div class="span3"><?php echo $this->lang->line('shipto') ?></div>
                                        <div class="span9">
                                            <select id="shiptoAddress" onchange ="displaysAdress()" class="span12 validate[required]">
                                                <option data-line1="" data-line2="" data-line3="" data-postcode=""></option>
													<?php
														if ($shipto != '') {
															foreach ($shipto as $row) {
														?>
                                                        <option  data-line1="<?php echo $row->line1 ?>" data-line2="<?php echo $row->line2 ?>" data-line3="<?php echo $row->line3 ?>" data-postcode="<?php echo $row->postCode ?>" value="<?php echo $row->ID; ?>">
                                                        <?php echo $row->addressName . " | " . $row->city; ?></option>
														<?php }
													} ?>
                                            </select>
                                        </div><!-- span -->
                                    </div><!-- row control -->*/ ?>
                                    <div class="controls-row">
                                        <div class="span3"><?php echo $this->lang->line('shiptoDesc') ?></div>
                                        <div class="span9">
                                            <textarea  disabled="disabled" id="shiptoDesc" class="span12">
                   		
                                            </textarea>
                                        </div><!-- span -->
                                    </div><!-- row control -->
                                    <div class="controls-row">
                                        <div class="span3"><?php echo $this->lang->line('currency') ?></div>
                                        <div class="span9">
                                            <input id="currency" name="currency" type="text" placeholder="Currency" disabled class="span12 validate[required,minSize[5],maxSize[10]]">            
                                        </div><!-- span -->
                                    </div><!-- control row -->
                                    <div class="controls-row">
                                        <div class="span3"><?php echo $this->lang->line('exchangeRate') ?></div>
                                        <div class="span9">
                                            <input class="span12 validate[required] tar" id="exchange_rate" name="exchange_rate" type="text" placeholder="Example: 3.20000" >           
                                        </div><!-- span -->
                                    </div><!-- control row -->
                                </div><!-- grid block 1-->
                            </div><!-- scCol -->
                        </div><!-- row-fluid scRow-->
                    </div><!-- row-fluid scRow-->
                </div><!-- row-fluid scRow-->
                
                <div class="row-fluid scRow">                            
                    <div class="span12 scCol">
                         <textarea style="margin-top:10px;" placeholder="<?php echo $this->lang->line('memo') ?>"  id="memo" class="span12"></textarea>
                    </div>
                </div>
                
                <div class="row-fluid scRow">                            
                    <div class="span12 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="head">
                                <h2><?php echo $this->lang->line('items') ?></h2>
                                <ul class="buttons">
                                    <li><a class="block_toggle collapsed" data-toggle="collapse" data-parent="#accordion2" href="#collapseOne">
                                            <span class="i-arrow-down-3"></span></a></li>
                                </ul>                                        
                            </div><!-- head -->
                            <div class="content np">
                                <table data-currentRow="0" id="listDetails" cellpadding="0" cellspacing="0" width="100%">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo $this->lang->line('items') ?></th>
                                            <th><?php echo $this->lang->line('description') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('um') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('unitPrice') ?></th>
                                            <th class="quantity"><?php echo $this->lang->line('quantity') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amountExcludeTax') ?></th>
                                            <th><?php echo $this->lang->line('tax') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('taxAmount') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amountIncludeTax') ?></th>
                                            <th><?php echo $this->lang->line('action') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr id="trInfos">
                                            <td colspan="11">
                                                <div id="msg_div1" class="alert alert-info">
                                                    <h4><?php echo $this->lang->line('lastMessage') ?></h4>
                                                    <p style="padding-top:10px;"><?php echo $this->lang->line('noMessage') ?></p>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div class="footer">
                                    <div class="side fr">
                                        <div class="btn-group">
                                            <button style="margin-right:6px;" onclick="$('#SaleDetailForm').validationEngine('hide');" class="btn-form btn-warning-form" type="button" name="validat">Hide prompts</button>
                                            <button id="addRow" onclick="addRowInvoice()" class="btn-icon btn-warning-form" type="button">
                                                <i class="i-plus-2"></i><?php echo $this->lang->line('addItem') ?></button>
                                        </div><!-- btn group -->      
                                    </div><!-- side fr -->      
                                </div><!-- footer -->      
                            </div><!-- content -->
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
                <div class="row-fluid scRow">                            
                    <div class="span12 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="head">
                                <h2><?php echo $this->lang->line('othercharges') ?></h2>
                                <ul class="buttons">
                                    <li><a class="block_toggle" data-toggle="collapse" data-parent="#accordion2" href="#collapseTwo">
                                            <span class="i-arrow-down-3"></span></a></li>
                                </ul>                                        
                            </div><!-- head -->
                            <div class="content np">
                                <table data-currentRow="0" id="listCharge" cellpadding="0" cellspacing="0" width="100%">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo $this->lang->line('account') ?></th>
                                            <th><?php echo $this->lang->line('description') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amount') ?></th>
                                            <th><?php echo $this->lang->line('tax') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('taxAmount') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amountIncludeTax') ?></th>
                                            <th class="tac"><?php echo $this->lang->line('action') ?></th>
                                            <th><?php echo $this->lang->line('inclusiveTax') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr id="trInfosCharge">
                                            <td colspan="9">
                                                <div id="msg_div2" class="alert alert-info">
                                                    <h4><?php echo $this->lang->line('lastMessage') ?></h4>
                                                    <p style="padding-top:10px;"><?php echo $this->lang->line('noMessage') ?></p>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div class="footer">
                                    <div class="side fr">
                                        <div class="btn-group">
                                            <button style="margin-right:6px;" onclick="$('#SaleDetailForm').validationEngine('hide');" class="btn-form btn-warning-form" type="button" name="validat">Hide prompts</button>
                                            <button id="addRowCharge" onclick="addRowInvoiceCharge()" class="btn-form btn-warning-form" type="button">
                                                <i class="i-plus-2"></i><?php echo $this->lang->line('addNewCharge') ?></button>

                                        </div><!-- btn group -->      
                                    </div><!-- side fr -->      
                                </div><!-- footer -->    
                            </div><!-- content -->

                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
                <div class="row-fluid scRow"> 
                    <div class="span3 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="content np">
                                

                            </div>    
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->   
                    <div class="span5 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="content np">
                             
                                
                            </div>    
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->   
                    <div class="span4 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="content np">
                                <div class="controls-row">

                                    <div class="span5"><?php echo $this->lang->line('totalTaxAmount') ?></div>
                                    <div class="span7">
                                        <input id="impotpayable" class="span12 amount" type="text" placeholder="0" disabled="disabled" >
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('totalReceivable') ?></div>
                                    <div class="span7">
                                        <input id="totalpayable" disabled="disabled"  class="span12 amount" type="text" placeholder="0">
                                    </div>
                                </div><!-- row control -->

                            </div>    
                        </div><!-- grid block 1-->
                    </div><!-- row-fluid scRow-->

            </form>
        </div><!-- grid 1 -->
    </div><!-- wrap -->
</div></div><!-- content -->



